complete -c rig -n "__fish_use_subcommand" -s q -l quiet -d 'Suppress output (overrides `--verbose`)'
complete -c rig -n "__fish_use_subcommand" -s v -l verbose -d 'Verbose output'
complete -c rig -n "__fish_use_subcommand" -l json -d 'Output JSON'
complete -c rig -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c rig -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c rig -n "__fish_use_subcommand" -f -a "default" -d 'Print or set default R version [alias: switch]'
complete -c rig -n "__fish_use_subcommand" -f -a "list" -d 'List installed R versions [alias: ls]'
complete -c rig -n "__fish_use_subcommand" -f -a "add" -d 'Install a new R version [alias: install]'
complete -c rig -n "__fish_use_subcommand" -f -a "rm" -d 'Remove R versions [aliases: del, remove, delete]'
complete -c rig -n "__fish_use_subcommand" -f -a "system" -d 'Manage current installations'
complete -c rig -n "__fish_use_subcommand" -f -a "resolve" -d 'Resolve a symbolic R version'
complete -c rig -n "__fish_use_subcommand" -f -a "rstudio" -d 'Start RStudio with specified R version'
complete -c rig -n "__fish_use_subcommand" -f -a "library" -d 'Manage package libraries [alias: lib] (experimental)'
complete -c rig -n "__fish_use_subcommand" -f -a "available" -d 'List R versions available to install.'
complete -c rig -n "__fish_use_subcommand" -f -a "run" -d 'Run R, an R script or an R project'
complete -c rig -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rig -n "__fish_seen_subcommand_from default" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from default" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from list" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from list" -l plain -d 'plain output, only the version names, one per line'
complete -c rig -n "__fish_seen_subcommand_from list" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from add" -l pak-version -d 'pak version to install.' -r -f -a "{stable	'',rc	'',devel	''}"
complete -c rig -n "__fish_seen_subcommand_from add" -l without-cran-mirror -d 'Do not set the cloud CRAN mirror'
complete -c rig -n "__fish_seen_subcommand_from add" -l without-pak -d 'Do not install pak.'
complete -c rig -n "__fish_seen_subcommand_from add" -l without-p3m -d 'Do not set up P3M. [alias: --without-rspm]'
complete -c rig -n "__fish_seen_subcommand_from add" -l without-sysreqs -d 'Do not set up system requirements installation.'
complete -c rig -n "__fish_seen_subcommand_from add" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from rm" -l all -d 'remove all versions (TODO)'
complete -c rig -n "__fish_seen_subcommand_from rm" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "detect-platform" -d 'Detect operating system version and distribution.'
complete -c rig -n "__fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "make-links" -d 'Create R-* quick links'
complete -c rig -n "__fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "setup-user-lib" -d 'Set up automatic user package libraries [alias: create-lib]'
complete -c rig -n "__fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "add-pak" -d 'Install or update pak for an R version'
complete -c rig -n "__fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from detect-platform" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from detect-platform" -s h -l help -d 'Print help'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from make-links" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from setup-user-lib" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from add-pak" -l pak-version -d 'pak version to install.' -r -f -a "{stable	'',rc	'',devel	''}"
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from add-pak" -l devel -d 'Install the development version of pak (deprecated)'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from add-pak" -l all -d 'Install pak for all R versions'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from add-pak" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "detect-platform" -d 'Detect operating system version and distribution.'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "make-links" -d 'Create R-* quick links'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "setup-user-lib" -d 'Set up automatic user package libraries [alias: create-lib]'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "add-pak" -d 'Install or update pak for an R version'
complete -c rig -n "__fish_seen_subcommand_from system; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rig -n "__fish_seen_subcommand_from resolve" -l platform -d 'Use this platform, instead of auto-detecting it.' -r
complete -c rig -n "__fish_seen_subcommand_from resolve" -s a -l arch -d 'Use this architecture, instead of auto-detecting it.' -r
complete -c rig -n "__fish_seen_subcommand_from resolve" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from resolve" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from rstudio" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List libraries [alias: ls]'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add a new library'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "rm" -d 'Remove a library'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "default" -d 'Set the default library'
complete -c rig -n "__fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from list" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from add" -s h -l help -d 'Print help'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from rm" -s h -l help -d 'Print help'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from default" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from default" -s h -l help -d 'Print help'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List libraries [alias: ls]'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add a new library'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "rm" -d 'Remove a library'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "default" -d 'Set the default library'
complete -c rig -n "__fish_seen_subcommand_from library; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rig -n "__fish_seen_subcommand_from available" -l platform -d 'Use this platform, instead of auto-detecting it.' -r
complete -c rig -n "__fish_seen_subcommand_from available" -s a -l arch -d 'Use this architecture, instead of auto-detecting it.' -r
complete -c rig -n "__fish_seen_subcommand_from available" -l json -d 'JSON output'
complete -c rig -n "__fish_seen_subcommand_from available" -l all -d 'List all available versions.'
complete -c rig -n "__fish_seen_subcommand_from available" -l list-distros -d 'List supported Linux distributions instead of R versions.'
complete -c rig -n "__fish_seen_subcommand_from available" -l list-rtools-versions -d 'List available Rtools versions instead of R versions.'
complete -c rig -n "__fish_seen_subcommand_from available" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from run" -s r -l r-version -d 'R version to use' -r
complete -c rig -n "__fish_seen_subcommand_from run" -s t -l app-type -d 'Explicitly specify app type to run' -r -f -a "{api	'',shiny	'',quarto-shiny	'',rmd-shiny	'',quarto-static	'',rmd-static	'',static	''}"
complete -c rig -n "__fish_seen_subcommand_from run" -s e -l eval -d 'R expression to evaluate' -r
complete -c rig -n "__fish_seen_subcommand_from run" -s f -l script -d 'R script file to run' -r
complete -c rig -n "__fish_seen_subcommand_from run" -l dry-run -d 'Show the command, but do not run it'
complete -c rig -n "__fish_seen_subcommand_from run" -l startup -d 'Print R startup message'
complete -c rig -n "__fish_seen_subcommand_from run" -l no-startup -d 'Do not print R startup message'
complete -c rig -n "__fish_seen_subcommand_from run" -l echo -d 'Print input to R'
complete -c rig -n "__fish_seen_subcommand_from run" -l no-echo -d 'Do not print input to R'
complete -c rig -n "__fish_seen_subcommand_from run" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "default" -d 'Print or set default R version [alias: switch]'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List installed R versions [alias: ls]'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Install a new R version [alias: install]'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "rm" -d 'Remove R versions [aliases: del, remove, delete]'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "system" -d 'Manage current installations'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "resolve" -d 'Resolve a symbolic R version'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "rstudio" -d 'Start RStudio with specified R version'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "library" -d 'Manage package libraries [alias: lib] (experimental)'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "available" -d 'List R versions available to install.'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "run" -d 'Run R, an R script or an R project'
complete -c rig -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from default; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from resolve; and not __fish_seen_subcommand_from rstudio; and not __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from available; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak" -f -a "detect-platform" -d 'Detect operating system version and distribution.'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak" -f -a "make-links" -d 'Create R-* quick links'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak" -f -a "setup-user-lib" -d 'Set up automatic user package libraries [alias: create-lib]'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from system; and not __fish_seen_subcommand_from detect-platform; and not __fish_seen_subcommand_from make-links; and not __fish_seen_subcommand_from setup-user-lib; and not __fish_seen_subcommand_from add-pak" -f -a "add-pak" -d 'Install or update pak for an R version'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default" -f -a "list" -d 'List libraries [alias: ls]'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default" -f -a "add" -d 'Add a new library'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default" -f -a "rm" -d 'Remove a library'
complete -c rig -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from library; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from default" -f -a "default" -d 'Set the default library'
